Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class RemoteCommandManagerException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.RemoteCommandManagerException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DiscoveryException

public class RemoteCommandManagerException
extends TopLinkException
implements java.io.Serializable

Instances of this exception are raised if a problem is detected in the RemoteCommandManager (RCM) feature. TopLink exceptions should only ever be thrown by TopLink code.

See Also:
  Serialized Form

Field Summary
`static int` | `ERROR_BINDING_CONNECTION`
`static int` | `ERROR_CREATING_JMS_CONNECTION`
`static int` | `ERROR_DISCOVERING_IP_ADDRESS`
`static int` | `ERROR_GETTING_HOST_NAME`
`static int` | `ERROR_GETTING_SERVERPLATFORM`
`static int` | `ERROR_LOOKING_UP_REMOTE_CONNECTION`
`static int` | `ERROR_OBTAINING_CONTEXT_FOR_JNDI`
`static int` | `ERROR_PROPAGATING_COMMAND`
`static int` | `ERROR_RECEIVING_JMS_MESSAGE`
`static int` | `ERROR_SERIALIZE_OR_DESERIALIZE_COMMAND`
`static int` | `ERROR_UNBINDING_LOCAL_CONNECTION`

Constructor Summary
`RemoteCommandManagerException()`
`RemoteCommandManagerException(java.lang.String theMessage)`

Method Summary
`static RemoteCommandManagerException` | `errorBindingConnection(java.lang.String bindName, java.lang.Exception internalEx)`
`static RemoteCommandManagerException` | `errorCreatingJMSConnection(java.lang.String topicName, java.lang.String topicFactory, java.util.Hashtable contextProperties, java.lang.Throwable internalEx)`
`static RemoteCommandManagerException` | `errorDiscoveringLocalHostIPAddress(java.lang.Exception internalEx)`
`static RemoteCommandManagerException` | `errorGettingHostName(java.lang.Exception internalEx)`
`static RemoteCommandManagerException` | `errorGettingServerPlatform()`
`static RemoteCommandManagerException` | `errorLookingUpRemoteConnection(java.lang.String remoteName, java.lang.String url, java.lang.Exception internalEx)`
`static RemoteCommandManagerException` | `errorObtainingContext(java.lang.String contextProperties, java.lang.Exception internalEx)`
`static RemoteCommandManagerException` | `errorReceivingJMSMessage(java.lang.Exception internalEx)`
`static RemoteCommandManagerException` | `errorSerializeOrDeserialzeCommand(java.lang.Exception internalEx)`
`static RemoteCommandManagerException` | `errorUnbindingLocalConnection(java.lang.String unbindName, java.lang.Exception internalEx)`
`static RemoteCommandManagerException` | `unableToPropagateCommand(java.lang.String connectionString, java.lang.Throwable internalEx)`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_OBTAINING_CONTEXT_FOR_JNDI

    public static final int ERROR_OBTAINING_CONTEXT_FOR_JNDI

  See Also:
    Constant Field Values

### ERROR_BINDING_CONNECTION

    public static final int ERROR_BINDING_CONNECTION

  See Also:
    Constant Field Values

### ERROR_LOOKING_UP_REMOTE_CONNECTION

    public static final int ERROR_LOOKING_UP_REMOTE_CONNECTION

  See Also:
    Constant Field Values

### ERROR_GETTING_HOST_NAME

    public static final int ERROR_GETTING_HOST_NAME

  See Also:
    Constant Field Values

### ERROR_PROPAGATING_COMMAND

    public static final int ERROR_PROPAGATING_COMMAND

  See Also:
    Constant Field Values

### ERROR_CREATING_JMS_CONNECTION

    public static final int ERROR_CREATING_JMS_CONNECTION

  See Also:
    Constant Field Values

### ERROR_UNBINDING_LOCAL_CONNECTION

    public static final int ERROR_UNBINDING_LOCAL_CONNECTION

  See Also:
    Constant Field Values

### ERROR_SERIALIZE_OR_DESERIALIZE_COMMAND

    public static final int ERROR_SERIALIZE_OR_DESERIALIZE_COMMAND

  See Also:
    Constant Field Values

### ERROR_RECEIVING_JMS_MESSAGE

    public static final int ERROR_RECEIVING_JMS_MESSAGE

  See Also:
    Constant Field Values

### ERROR_DISCOVERING_IP_ADDRESS

    public static final int ERROR_DISCOVERING_IP_ADDRESS

  See Also:
    Constant Field Values

### ERROR_GETTING_SERVERPLATFORM

    public static final int ERROR_GETTING_SERVERPLATFORM

  See Also:
    Constant Field Values

Constructor Detail

### RemoteCommandManagerException

    public RemoteCommandManagerException()

### RemoteCommandManagerException

    public RemoteCommandManagerException(java.lang.String theMessage)

Method Detail

### errorObtainingContext

    public static RemoteCommandManagerException errorObtainingContext(java.lang.String contextProperties,
                                                                      java.lang.Exception internalEx)

### errorSerializeOrDeserialzeCommand

    public static RemoteCommandManagerException errorSerializeOrDeserialzeCommand(java.lang.Exception internalEx)

### errorBindingConnection

    public static RemoteCommandManagerException errorBindingConnection(java.lang.String bindName,
                                                                       java.lang.Exception internalEx)

### errorLookingUpRemoteConnection

    public static RemoteCommandManagerException errorLookingUpRemoteConnection(java.lang.String remoteName,
                                                                               java.lang.String url,
                                                                               java.lang.Exception internalEx)

### errorGettingHostName

    public static RemoteCommandManagerException errorGettingHostName(java.lang.Exception internalEx)

### unableToPropagateCommand

    public static RemoteCommandManagerException unableToPropagateCommand(java.lang.String connectionString,
                                                                         java.lang.Throwable internalEx)

### errorCreatingJMSConnection

    public static RemoteCommandManagerException errorCreatingJMSConnection(java.lang.String topicName,
                                                                           java.lang.String topicFactory,
                                                                           java.util.Hashtable contextProperties,
                                                                           java.lang.Throwable internalEx)

### errorUnbindingLocalConnection

    public static RemoteCommandManagerException errorUnbindingLocalConnection(java.lang.String unbindName,
                                                                              java.lang.Exception internalEx)

### errorReceivingJMSMessage

    public static RemoteCommandManagerException errorReceivingJMSMessage(java.lang.Exception internalEx)

### errorDiscoveringLocalHostIPAddress

    public static RemoteCommandManagerException errorDiscoveringLocalHostIPAddress(java.lang.Exception internalEx)

### errorGettingServerPlatform

    public static RemoteCommandManagerException errorGettingServerPlatform()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD